function  WWHBookData_Files(P)
{
P.fA("TIBCO\u00ae Adapter SDK","title.1.1.htm");
P.fA("Important Information","copyrigh.htm");
P.fA("Figures","LOF.htm");
P.fA("Tables","LOT.htm");
P.fA("Preface","preface.4.1.htm");
P.fA("Changes from the Previous Release of this Guide","preface.4.2.htm");
P.fA("Related Documentation","preface.4.3.htm");
P.fA("Typographical Conventions","preface.4.4.htm");
P.fA("Connecting with TIBCO Resources","preface.4.5.htm");
P.fA("Programming Requirements and TIBCO Adapter SDK Classes","pg.5.001.htm");
P.fA("Requirements on Microsoft Windows","pg.5.002.htm");
P.fA("Requirements on UNIX","pg.5.003.htm");
P.fA("Java SDK Requirements","pg.5.004.htm");
P.fA("TIBCO Adapter SDK Classes","pg.5.005.htm");
P.fA("Adapter Configuration","pg.5.006.htm");
P.fA("Overview","pg.5.007.htm");
P.fA("Types of Configuration Information","pg.5.008.htm");
P.fA("Configuring and Exporting the Project Repository","pg.5.009.htm");
P.fA("Specifying Configuration Information","pg.5.010.htm");
P.fA("Accessing Configuration Information","pg.5.011.htm");
P.fA("Variable Substitution","pg.5.012.htm");
P.fA("Properties Files","pg.5.013.htm");
P.fA("Adapter Program Elements","pg.5.014.htm");
P.fA("Overview","pg.5.015.htm");
P.fA("MApp Application Manager","pg.5.016.htm");
P.fA("Transport Protocol","pg.5.017.htm");
P.fA("Endpoints","pg.5.018.htm");
P.fA("Transports, Wire Formats, and Message Formats","pg.5.019.htm");
P.fA("Sessions","pg.5.020.htm");
P.fA("Event Model","pg.5.021.htm");
P.fA("Multiple Adapter Instances","pg.5.022.htm");
P.fA("Sending and Receiving Data","pg.5.023.htm");
P.fA("Adapter Application Data","pg.5.024.htm");
P.fA("How Adapters Send Application Data","pg.5.025.htm");
P.fA("How Adapters Receive Data","pg.5.026.htm");
P.fA("Tracing, Tracking, and Exception Handling","pg.5.027.htm");
P.fA("Tracing","pg.5.028.htm");
P.fA("Tracking","pg.5.029.htm");
P.fA("Exception Handling","pg.5.030.htm");
P.fA("Metadata","pg.5.031.htm");
P.fA("Understanding TIBCO Adapter Metadata Management","pg.5.032.htm");
P.fA("Defining Metadata Classes","pg.5.033.htm");
P.fA("Creating Classes Based on Metadata Objects","pg.5.034.htm");
P.fA("Creating Runtime Data","pg.5.035.htm");
P.fA("Metadata Class Names","pg.5.036.htm");
P.fA("Guidelines for Metadata Use","pg.5.037.htm");
P.fA("AE Schema Types and SDK Classes","pg.5.038.htm");
P.fA("TIBCO ActiveEnterprise Operation Model","pg.5.039.htm");
P.fA("Overview","pg.5.040.htm");
P.fA("ActiveEnterprise Operations","pg.5.041.htm");
P.fA("Implementing ActiveEnterprise Operations in C++","pg.5.042.htm");
P.fA("Implementing ActiveEnterprise Operations in Java","pg.5.043.htm");
P.fA("Advanced Features","pg.5.044.htm");
P.fA("Multithreaded Adapters","pg.5.045.htm");
P.fA("Adapter SDK Unicode Support","pg.5.046.htm");
P.fA("Preregistering a Subscription Service","pg.5.047.htm");
P.fA("Setting Data to NULL Explicitly","pg.5.048.htm");
P.fA("TIBCO Adapter Wire Formats","pg.5.049.htm");
P.fA("Advisory Handling","pg.5.050.htm");
P.fA("Using the MPlugin Class","pg.5.051.htm");
P.fA("Transformation Plug-in","pg.5.052.htm");
P.fA("Subject Names","pg.5.053.htm");
P.fA("TIBCO Adapters and TIBCO Hawk","pg.5.054.htm");
P.fA("TIBCO Adapter SDK and TIBCO Hawk","pg.5.055.htm");
P.fA("Predefined TIBCO Hawk Microagent Methods","pg.5.056.htm");
P.fA("Configuring the TIBCO Hawk Microagents","pg.5.057.htm");
P.fA("TIBCO Adapter SDK API to TIBCO Hawk","pg.5.058.htm");
P.fA("Creating User-Defined TIBCO Hawk Methods","pg.5.059.htm");
P.fA("Getting Started: Hello World Adapter","pg.5.060.htm");
P.fA("Prerequisites","pg.5.061.htm");
P.fA("Preparing the Adapter Configuration","pg.5.062.htm");
P.fA("The Adapter Program","pg.5.063.htm");
P.fA("Custom Adapter Example: zapadapter","pg.5.064.htm");
P.fA("Overview","pg.5.065.htm");
P.fA("Analysis and Design","pg.5.066.htm");
P.fA("Specifying Configuration Information","pg.5.067.htm");
P.fA("Implementing the Adapter Code","pg.5.068.htm");
P.fA("Creating a Deployable Custom Adapter","pg.5.069.htm");
P.fA("Overview","pg.5.070.htm");
P.fA("Setting Up the Example","pg.5.071.htm");
P.fA("Modifying Code for TIBCO Administrator Compliance","pg.5.072.htm");
P.fA("Configuring the Adapter","pg.5.073.htm");
P.fA("Adding the Adapter to the Domain","pg.5.074.htm");
P.fA("TIBCO Wrapper Utility","pg.5.075.htm");
P.fA("Overview","pg.5.076.htm");
P.fA("Running an Adapter as a Microsoft Windows Service","pg.5.077.htm");
P.fA("Using the TIBCO Wrapper Under UNIX","pg.5.078.htm");
P.fA("Source Code Changes","pg.5.079.htm");
P.fA("Wrapper Properties","pg.5.080.htm");
P.fA("Command Line Options","pg.5.081.htm");
P.fA("SDK Programming Guidelines","pg.5.082.htm");
P.fA("General SDK Best Practices","pg.5.083.htm");
P.fA("MBusinessDocument and MAdvisoryDocument","pg.5.084.htm");
P.fA("Using Distributed Processes for Load Balancing","pg.5.085.htm");
P.fA("Connection Management","pg.5.086.htm");
P.fA("Security Considerations","pg.5.087.htm");
P.fA("TIBCO Rendezvous Programming Guidelines","pg.5.088.htm");
P.fA("C++ Utility Classes and Methods","pg.5.089.htm");
P.fA("JMS in Adapter SDK","pg.5.090.htm");
P.fA("TIBCO Adapter Standards","pg.5.091.htm");
P.fA("TIBCO Rendezvous License Ticket","pg.5.092.htm");
P.fA("TIBCO Runtime Agent Considerations","pg.5.093.htm");
P.fA("Adapter Configuration Requirements","pg.5.094.htm");
P.fA("Adapter Services Requirements","pg.5.095.htm");
P.fA("Integration Requirements","pg.5.096.htm");
P.fA("TIBCO Adapter SDK Hawk Microagents and Methods","pg.5.097.htm");
P.fA("Overview","pg.5.098.htm");
P.fA("Available Microagents","pg.5.099.htm");
P.fA("COM.TIBCO.ADAPTER::activateTraceRole()","pg.5.100.htm");
P.fA("COM.TIBCO.ADAPTER::deactivateTraceRole()","pg.5.101.htm");
P.fA("COM.TIBCO.ADAPTER::getAdapterServiceInformation()","pg.5.102.htm");
P.fA("COM.TIBCO.ADAPTER::getComponents()","pg.5.103.htm");
P.fA("COM.TIBCO.ADAPTER::getConfig()","pg.5.104.htm");
P.fA("COM.TIBCO.ADAPTER::getConfigProperties()","pg.5.105.htm");
P.fA("COM.TIBCO.ADAPTER::getHostInformation()","pg.5.106.htm");
P.fA("COM.TIBCO.ADAPTER::getRvConfig()","pg.5.107.htm");
P.fA("COM.TIBCO.ADAPTER::getRvQueueInfo()","pg.5.108.htm");
P.fA("COM.TIBCO.ADAPTER::getServerLatency()","pg.5.109.htm");
P.fA("COM.TIBCO.ADAPTER::getStatus()","pg.5.110.htm");
P.fA("COM.TIBCO.ADAPTER::getTraceSinks()","pg.5.111.htm");
P.fA("COM.TIBCO.ADAPTER::getVersion()","pg.5.112.htm");
P.fA("COM.TIBCO.ADAPTER::preRegisterListener()","pg.5.113.htm");
P.fA("COM.TIBCO.ADAPTER::reviewLedger()","pg.5.114.htm");
P.fA("COM.TIBCO.ADAPTER::setTraceSinks()","pg.5.115.htm");
P.fA("COM.TIBCO.ADAPTER::stopApplicationInstance()","pg.5.116.htm");
P.fA("COM.TIBCO.ADAPTER::unRegisterListener()","pg.5.117.htm");
}
