function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Changes from the Previous Release of this Guide","5");
B=A.fN("Related Documentation","6");
var C=B.fN("TIBCO Adapter SDK Documentation","6#41148");
C=B.fN("Other TIBCO Product Documentation","6#41168");
B=A.fN("Typographical Conventions","7");
B=A.fN("Connecting with TIBCO Resources","8");
C=B.fN("How to Join TIBCOmmunity","8#39327");
C=B.fN("How to Access All TIBCO Documentation","8#39357");
C=B.fN("How to Contact TIBCO Support","8#39302");
A=P.fN("Chapter\u00a01 Programming Requirements and TIBCO Adapter SDK Classes","9");
B=A.fN("Requirements on Microsoft Windows","10");
B=A.fN("Requirements on UNIX","11");
C=B.fN("Environment Variables for UNIX Systems","11#1673480");
C=B.fN("Compiling Requirements for UNIX Systems","11#1725339");
B=A.fN("Java SDK Requirements","12");
B=A.fN("TIBCO Adapter SDK Classes","13");
A=P.fN("Chapter\u00a02 Adapter Configuration","14");
B=A.fN("Overview","15");
B=A.fN("Types of Configuration Information","16");
B=A.fN("Configuring and Exporting the Project Repository","17");
C=B.fN("Configuring an Adapter","17#1732156");
C=B.fN("Exporting Project Repositories","17#1674253");
B=A.fN("Specifying Configuration Information","18");
C=B.fN("Command-Line Arguments","18#1674277");
C=B.fN("Property Key","18#1674298");
C=B.fN("MAppProperties","18#1674331");
B=A.fN("Accessing Configuration Information","19");
C=B.fN("Location of Configuration Information","19#1674363");
C=B.fN("Server-based Repository Locator String","19#1797668");
C=B.fN("Local Repository Locator String","19#1797805");
C=B.fN("How Adapters Access Configuration Information","19#1740719");
B=A.fN("Variable Substitution","20");
C=B.fN("Variable Substitution Mechanism","20#1820895");
C=B.fN("Specifying Variables","20#1674500");
C=B.fN("Predefined Global Variables","20#1674546");
B=A.fN("Properties Files","21");
C=B.fN("Format of Properties File","21#1674688");
C=B.fN("Recognized Property Keys","21#1674705");
C=B.fN("Two Types of Properties","21#1674734");
C=B.fN("Properties File Examples","21#1743593");
A=P.fN("Chapter\u00a03 Adapter Program Elements","22");
B=A.fN("Overview","23");
B=A.fN("MApp Application Manager","24");
C=B.fN("Top-Level Control Flow","24#1751216");
C=B.fN("Control Flow in Java","24#1674946");
C=B.fN("Creating an MApp Instance","24#1750530");
B=A.fN("Transport Protocol","25");
C=B.fN("Publish/Subscribe Protocol","25#1675029");
C=B.fN("Request/Reply Interactions","25#1675052");
B=A.fN("Endpoints","26");
C=B.fN("Creating Endpoints","26#1675101");
C=B.fN("Changing Endpoint Quality of Service","26#1675133");
B=A.fN("Transports, Wire Formats, and Message Formats","27");
B=A.fN("Sessions","28");
B=A.fN("Event Model","29");
C=B.fN("Event Management Classes","29#1754131");
C=B.fN("TIBCO Adapter Flow of Event Information","29#1675373");
C=B.fN("Extending Adapter Event Classes","29#1675390");
B=A.fN("Multiple Adapter Instances","30");
A=P.fN("Chapter\u00a04 Sending and Receiving Data","31");
B=A.fN("Adapter Application Data","32");
C=B.fN("Application Data Overview","32#1675441");
C=B.fN("Application Data Message Format","32#1675469");
B=A.fN("How Adapters Send Application Data","33");
B=A.fN("How Adapters Receive Data","34");
A=P.fN("Chapter\u00a05 Tracing, Tracking, and Exception Handling","35");
B=A.fN("Tracing","36");
C=B.fN("Using Tracing Facilities","36#1756590");
C=B.fN("Available Tracing Roles","36#1675759");
C=B.fN("Multiple Traces and Sinks","36#1757310");
C=B.fN("MTrace and MSink","36#1757725");
C=B.fN("Sample XML Message Element","36#1757292");
C=B.fN("Trace Message Format","36#1675833");
C=B.fN("Configuring Tracing Using TIBCO Designer","36#1756805");
C=B.fN("File Sink Management","36#1756969");
B=A.fN("Tracking","37");
C=B.fN("MTrackingInfo","37#1676014");
C=B.fN("Tracking Example","37#1676031");
B=A.fN("Exception Handling","38");
C=B.fN("Exceptions in the C++ API","38#1676062");
C=B.fN("Exceptions in the Java API","38#1676073");
C=B.fN("Using Exceptions","38#1676084");
C=B.fN("Designing an Exception-Handling Mechanism","38#1789398");
C=B.fN("Exception Handling in Delayed Acknowledgement of Certified Messages","38#1789421");
A=P.fN("Chapter\u00a06 Metadata","39");
B=A.fN("Understanding TIBCO Adapter Metadata Management","40");
C=B.fN("Uses for Metadata","40#1676131");
C=B.fN("Metadata Definition","40#1676137");
C=B.fN("MInstance Implementation","40#1809694");
B=A.fN("Defining Metadata Classes","41");
C=B.fN("Using TIBCO Designer","41#1676173");
C=B.fN("Working With the AEXML Repository File","41#1676187");
B=A.fN("Creating Classes Based on Metadata Objects","42");
C=B.fN("Metadata Description Classes","42#1676212");
C=B.fN("Metadata Hierarchy Example","42#1676239");
B=A.fN("Creating Runtime Data","43");
C=B.fN("Metadata Encapsulation Classes","43#1676264");
C=B.fN("Metadata Attribute Encapsulation Classes","43#1676290");
C=B.fN("Metadata Example","43#1809532");
B=A.fN("Metadata Class Names","44");
B=A.fN("Guidelines for Metadata Use","45");
C=B.fN("Adapter Metadata Look-up","45#1786589");
C=B.fN("How the SDK Performs Metadata Look-up","45#1786597");
C=B.fN("Restrictions on Metadata","45#1786611");
C=B.fN("Working with XML and XSD","45#1786628");
B=A.fN("AE Schema Types and SDK Classes","46");
C=B.fN("SDK Date and Time Classes","46#1810096");
C=B.fN("Mapping AESchema Types to C++ MData Subclasses","46#1810124");
C=B.fN("Mapping AESchema Types to Java Classes","46#1810369");
A=P.fN("Chapter\u00a07 TIBCO ActiveEnterprise Operation Model","47");
B=A.fN("Overview","48");
B=A.fN("ActiveEnterprise Operations","49");
C=B.fN("Synchronous and Asynchronous","49#1762254");
C=B.fN("Supported Invocation Protocols","49#1762320");
C=B.fN("Implementing ActiveEnterprise Operations","49#1676453");
B=A.fN("Implementing ActiveEnterprise Operations in C++","50");
C=B.fN("Synchronous Client Control Flow","50#1676481");
C=B.fN("Asynchronous Client Control Flow","50#1676499");
C=B.fN("Synchronous Server Control Flow","50#1676532");
C=B.fN("Asynchronous Server Control Flow","50#1676541");
B=A.fN("Implementing ActiveEnterprise Operations in Java","51");
C=B.fN("Defining ActiveEnterprise Operation Elements","51#1676551");
C=B.fN("Defining Endpoints and Protocols","51#1676585");
C=B.fN("Defining and Invoking the Methods","51#1676604");
A=P.fN("Chapter\u00a08 Advanced Features","52");
B=A.fN("Multithreaded Adapters","53");
C=B.fN("Deciding on Multithreaded Implementation","53#1676699");
C=B.fN("Multithreading and MDispatcher","53#1676722");
C=B.fN("Multithreading Scenarios","53#1676743");
C=B.fN("Writing a Multithreaded Adapter with the C++ SDK","53#1676763");
C=B.fN("Writing a Multithreaded Adapter with the Java SDK","53#1676811");
B=A.fN("Adapter SDK Unicode Support","54");
C=B.fN("Prespecifying Encoding","54#1676862");
C=B.fN("SDK-Internal C++ Unicode Type Conversion","54#1676872");
C=B.fN("Specifying the Wire Format Encoding","54#1676887");
C=B.fN("How TIBCO Administrator Determines Encoding","54#1676899");
B=A.fN("Preregistering a Subscription Service","55");
B=A.fN("Setting Data to NULL Explicitly","56");
B=A.fN("TIBCO Adapter Wire Formats","57");
C=B.fN("Wire Formats and Message Formats","57#1676989");
C=B.fN("Control Information","57#1677006");
B=A.fN("Advisory Handling","58");
C=B.fN("Receiving Advisory Messages","58#1677133");
C=B.fN("Advisory Listeners","58#1677140");
C=B.fN("Advisory Publisher","58#1677188");
C=B.fN("Advisory Subject Format","58#1677193");
C=B.fN("Advisory Message Format","58#1677240");
C=B.fN("User-Defined Advisories","58#1677257");
B=A.fN("Using the MPlugin Class","59");
C=B.fN("Defining a Plug-in","59#1677281");
C=B.fN("Configuring a Plug-in","59#1677313");
C=B.fN("Running an Adapter with a Plug-in","59#1677330");
B=A.fN("Transformation Plug-in","60");
C=B.fN("Usage Scenarios","60#1677347");
C=B.fN("Implementation","60#1677355");
C=B.fN("Example","60#1677370");
B=A.fN("Subject Names","61");
C=B.fN("Subject Name Syntax","61#1794814");
C=B.fN("Using Wildcards to Receive Related Subjects","61#1794883");
C=B.fN("Distinguished Subject Names","61#1794978");
A=P.fN("Chapter\u00a09 TIBCO Adapters and TIBCO Hawk","62");
B=A.fN("TIBCO Adapter SDK and TIBCO Hawk","63");
C=B.fN("TIBCO Hawk Overview","63#1770040");
C=B.fN("TIBCO Hawk and Adapter Applications","63#1677493");
B=A.fN("Predefined TIBCO Hawk Microagent Methods","64");
C=B.fN("Terminology","64#1677522");
C=B.fN("Microagents Provided by the SDK","64#1677529");
B=A.fN("Configuring the TIBCO Hawk Microagents","65");
B=A.fN("TIBCO Adapter SDK API to TIBCO Hawk","66");
C=B.fN("TIBCO Hawk Integration Classes","66#1677561");
B=A.fN("Creating User-Defined TIBCO Hawk Methods","67");
C=B.fN("Creating TIBCO Hawk Methods in C++","67#1783357");
C=B.fN("Creating TIBCO Hawk Methods in Java","67#1677616");
A=P.fN("Chapter\u00a010 Getting Started: Hello World Adapter","68");
B=A.fN("Prerequisites","69");
B=A.fN("Preparing the Adapter Configuration","70");
B=A.fN("The Adapter Program","71");
C=B.fN("Hello World Code in C++","71#1677714");
C=B.fN("Hello World Code in Java","71#1677793");
A=P.fN("Chapter\u00a011 Custom Adapter Example: zapadapter","72");
B=A.fN("Overview","73");
B=A.fN("Analysis and Design","74");
C=B.fN("Problem Statement","74#1677902");
C=B.fN("Elements of Implementation","74#1677928");
C=B.fN("Components of ZapAdapter Sample Application","74#1677943");
B=A.fN("Specifying Configuration Information","75");
B=A.fN("Implementing the Adapter Code","76");
A=P.fN("Chapter\u00a012 Creating a Deployable Custom Adapter","77");
B=A.fN("Overview","78");
B=A.fN("Setting Up the Example","79");
B=A.fN("Modifying Code for TIBCO Administrator Compliance","80");
C=B.fN("Adding MHostInfo","80#1678206");
C=B.fN("Adding MAdapterServiceInfo","80#1678266");
C=B.fN("Implementing Custom Advisory Listener","80#1678288");
C=B.fN("Implementing Standard ActiveEnterprise Tracing with MMessageBundle","80#1678304");
B=A.fN("Configuring the Adapter","81");
B=A.fN("Adding the Adapter to the Domain","82");
C=B.fN("Creating an Alias Library in TIBCO Designer","82#1780146");
C=B.fN("Creating EAR File in TIBCO Designer","82#1678419");
C=B.fN("Adding the ZapAdapter to the TIBCO Administrator Domain","82#1678462");
C=B.fN("Creating the ZapAdapter Application in the TIBCO Administrator Domain","82#1678523");
C=B.fN("Deploying, Starting, and Stopping the Adapter","82#1678548");
A=P.fN("Chapter\u00a013 TIBCO Wrapper Utility","83");
B=A.fN("Overview","84");
B=A.fN("Running an Adapter as a Microsoft Windows Service","85");
C=B.fN("Java Adapters","85#1678610");
C=B.fN("C++ Adapters","85#1781972");
B=A.fN("Using the TIBCO Wrapper Under UNIX","86");
B=A.fN("Source Code Changes","87");
C=B.fN("Java Only","87#1678748");
C=B.fN("C++ Only","87#1678775");
C=B.fN("Wrapper Sample Code","87#1783982");
B=A.fN("Wrapper Properties","88");
C=B.fN("Wrapper Settable Properties","88#1785358");
C=B.fN("Properties Files","88#1785584");
B=A.fN("Command Line Options","89");
A=P.fN("Appendix\u00a0A SDK Programming Guidelines","90");
B=A.fN("General SDK Best Practices","91");
B=A.fN("MBusinessDocument and MAdvisoryDocument","92");
B=A.fN("Using Distributed Processes for Load Balancing","93");
B=A.fN("Connection Management","94");
B=A.fN("Security Considerations","95");
C=B.fN("TIBCO Administrator Administration Server Access","95#1679392");
C=B.fN("Password Obfuscation","95#1679406");
C=B.fN("Data Security","95#1679427");
B=A.fN("TIBCO Rendezvous Programming Guidelines","96");
B=A.fN("C++ Utility Classes and Methods","97");
C=B.fN("MList, MMap, MString, and MWString","97#1679485");
C=B.fN("The downCast() Method","97#1679496");
C=B.fN("SDK Enumerators","97#1690272");
C=B.fN("SDK Types","97#1679544");
B=A.fN("JMS in Adapter SDK","98");
C=B.fN("JMS Implementation","98#1679551");
C=B.fN("JMS Features","98#1679555");
A=P.fN("Appendix\u00a0B TIBCO Adapter Standards","99");
B=A.fN("TIBCO Rendezvous License Ticket","100");
B=A.fN("TIBCO Runtime Agent Considerations","101");
B=A.fN("Adapter Configuration Requirements","102");
B=A.fN("Adapter Services Requirements","103");
C=B.fN("Publication Service and Subscription Service","103#1679630");
C=B.fN("Request Response Service and Request Response Invocation Service","103#1679635");
B=A.fN("Integration Requirements","104");
C=B.fN("Integration with ActiveEnterprise","104#1691398");
C=B.fN("Integration with TIBCO ActiveMatrix BusinessWorks","104#1679666");
C=B.fN("Integration with TIBCO Administrator","104#1679684");
A=P.fN("Appendix\u00a0C TIBCO Adapter SDK Hawk Microagents and Methods","105");
B=A.fN("Overview","106");
B=A.fN("Available Microagents","107");
C=B.fN("COM.TIBCO.ADAPTER::activateTraceRole()","108");
C=B.fN("COM.TIBCO.ADAPTER::deactivateTraceRole()","109");
C=B.fN("COM.TIBCO.ADAPTER::getAdapterServiceInformation()","110");
C=B.fN("COM.TIBCO.ADAPTER::getComponents()","111");
C=B.fN("COM.TIBCO.ADAPTER::getConfig()","112");
C=B.fN("COM.TIBCO.ADAPTER::getConfigProperties()","113");
C=B.fN("COM.TIBCO.ADAPTER::getHostInformation()","114");
C=B.fN("COM.TIBCO.ADAPTER::getRvConfig()","115");
C=B.fN("COM.TIBCO.ADAPTER::getRvQueueInfo()","116");
C=B.fN("COM.TIBCO.ADAPTER::getServerLatency()","117");
C=B.fN("COM.TIBCO.ADAPTER::getStatus()","118");
C=B.fN("COM.TIBCO.ADAPTER::getTraceSinks()","119");
C=B.fN("COM.TIBCO.ADAPTER::getVersion()","120");
C=B.fN("COM.TIBCO.ADAPTER::preRegisterListener()","121");
C=B.fN("COM.TIBCO.ADAPTER::reviewLedger()","122");
C=B.fN("COM.TIBCO.ADAPTER::setTraceSinks()","123");
C=B.fN("COM.TIBCO.ADAPTER::stopApplicationInstance()","124");
C=B.fN("COM.TIBCO.ADAPTER::unRegisterListener()","125");
}
